<?
include("../fnc.php");
enlinea_c();

if(!$idc or !$idg or !$idu or !$ida){
 alert("Parámetros incorrectos","frm_login.php");
}

$sesion_id=session_id();

 $id_se=dec($sid);
 $id_cu=dec($idc);
 $id_un=dec($idu);
 $sqlunidad="select * from zonas_unidades where unidad='$id_un' and curso='$id_cu' and seccion='$id_se'";
 $qunidad=mysql_query($sqlunidad);
 $iunidad=mysql_fetch_array($qunidad);


if(!$conf){
$conf=letra_rand().letra_rand().rand(0,1000).letra_rand().letra_rand();

$ins=mysql_query("insert into confirmaciones set codigo='$conf', usuario = '$uuser', sesion = '$sesion_id', fecha='$fechahora'");
}else{
 if(!$txtrazon){
   alert("Por favor ingrese la razón del cambio de la nota","javascript:history.go(-1)");
 }
 @settype($txtnuevanota,"integer");

 if(!$txtnuevanota or $txtnuevanota > $iunidad[examen] or gettype($txtnuevanota)!="integer"){
   alert("ERROR: El valor de la nota no es válido,\\npor favor verifíquelo","javascript:history.go(-1)");
 }

 $conf=dec($conf);
 if(!$_POST[txtnuevanota]){
   alert("Parámetros incorrectos","frm_login.php");
 }

 $qc=mysql_query("select * from confirmaciones where codigo = '$conf' and usuario = '$uuser' and sesion = '$sesion_id'");
 if(mysql_num_rows($qc)>0){
  $id_cr=dec($idc);
  $id_gr=dec($idg);
  $id_al=dec($ida);
  $id_un=dec($idu);
  $nota_ant=dec($idn);
  $id_zo=dec($idz);
  $clave_admin=base64_encode($txtclaveadmin);

  $qusrautoriza=mysql_query("select * from usuarios where usuario = '$txtusradmin' and clave = '$clave_admin' and admin = 'S'");
  if(mysql_num_rows($qusrautoriza)==0){
   alert("ERROR: Usuario o clave de autorización incorrecto",$goback);
  }

  if(!$id_zo){$id_zo=0;}
  $upd=mysql_query("update notas_unidades
                    set
                    zona = '$id_zo',
                    examen = '$txtnuevanota',
                    nota = $txtnuevanota+$id_zo
                    where
                    curso = '$id_cr'
                    and grado = '$id_gr'
                    and alumno='$id_al'
                    and unidad=$id_un");

  $inslog=mysql_query("insert into log_cambio_notas
                       set alumno = '$id_al', grado='$id_gr',
                       curso = '$id_cr', usuario = '$uuser',
                       fecha = '$fechahora', nota_ant = '$nota_ant',
                       nota_nueva ='$txtnuevanota', razon='$txtrazon. Autorizado por: $txtusradmin'");

  $delconf=mysql_query("delete from confirmaciones where codigo = '$conf' and usuario = '$uuser' and sesion = '$sid'");

 alert("Nota actualizada con éxito","frm_notasv2.php?idg=$idg&idc=$idc&idu=$idu&sid=$sid");
 }else{
  alert("Error, no se encontró la confirmación","javascript:history.go(-1)");
 }
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>e-Ducativo - Bienvenido</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../estilo1.css" rel="stylesheet" type="text/css">
<script language="javascript">
function validar_nota(objeto){
  if(Math.abs(objeto.value) > Math.abs(<?=round($iunidad[examen],0);?>)){
    alert("La nota no puede ser mayor a 60 puntos");
    objeto.value="";
  }
}
function foco(){
 document.form1.txtnuevanota.focus();
}

function validar(){
 var objeto;
  objeto=document.form1.txtnuevanota;
  if(objeto.value==""){
    alert("Ingrese la nota");
    objeto.focus();
    return(false);
  }
  objeto=document.form1.txtrazon;
  if(objeto.value==""){
    alert("Ingrese la razón del cambio");
    objeto.focus();
    return(false);
  }
  objeto=document.form1.txtusradmin;
  if(objeto.value==""){
    alert("Ingrese un usuario tipo Administrador o Supervisor");
    objeto.focus();
    return(false);
  }
  objeto=document.form1.txtclaveadmin;
  if(objeto.value==""){
    alert("Ingrese la clave del usuario");
    objeto.focus();
    return(false);
  }


  return (true);
}
</script>
</head>

<body onload="foco();">
<table width="750" border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#333333">
  <tr>
    <td bgcolor="#336699">    <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#E5E5E5">
      <tr bgcolor="#FFFFFF">
        <td width="40%"><img src="../images/logo_5.gif" width="300" height="50"></td>
        <td width="60%" background="../images/back_header.gif" bgcolor="#FFFFFF"><div align="right" class="usuario_nombre_enc"><strong><?echo "$unombre $uapellido";?><br>
          </strong>Tiene <?=mensajes($uuser);?> mensaje(s) sin leer</div></td>
      </tr>
      <tr bgcolor="#FFFFFF">
        <td height="15" colspan="2" background="../images/barra_encabezado.gif">&nbsp;</td>
        </tr>
    </table>
      <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="20%" valign="top" bgcolor="#FFFFCC"><?php include("menu.php"); ?>&nbsp;</td>
          <td width="80%" valign="top" bgcolor="#FFFFCC"><table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#333333">
            <tr align="center" valign="middle" bgcolor="#FFFFCC">
              <td height="20" class="titulo_pagina"><div align="center" class="titulo_pagina">
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="65">&nbsp;</td>
                    <td><div align="center" class="titulo_pagina">NOTAS <img src="../images/flecha_3.jpg" width="9" height="9"> Modificar nota</div></td>
                    <td width="65"><div align="right"><a href="inicio.php" class="link_parrafo">Inicio<img src="../images/ic_home.png" width="21" height="21" border="0"></a></div></td>
                  </tr>
                </table>
              </div></td>
            </tr>
            <tr>
              <td align="left" valign="top" bgcolor="#FFFFCC"><div align="left" class="parrafo">
                <form name="form1" method="post" action="frm_notas_modificar.php" onsubmit="return validar();">
                  <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#000099">
                    <tr>
                      <td bgcolor="#FFFFFF"><table width="100%"  border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF">
                          <tr bgcolor="#6699CC">
                            <td colspan="2" class="titulo_seccion"><div align="left" class="titulo_formulario">Modificar notas de unidad acad&eacute;mica </div></td>
                          </tr>
                          <tr bgcolor="#EBF3FE">
                            <td width="10%" align="left" valign="middle" bgcolor="#CFDFEF" class="parrafo"><strong>Alumno:</strong></td>
                            <td width="90%" bgcolor="#ECF2F9" class="lbl_formulario"><div align="left"><?=galumno($ida);?></div></td>
                            </tr>
                          <tr bgcolor="#EBF3FE">
                            <td align="left" valign="middle" bgcolor="#CFDFEF" class="parrafo"><strong>Grado:</strong></td>
                            <td bgcolor="#ECF2F9" class="lbl_formulario"><?=ggrado($idg);?></td>
                          </tr>
                          <tr bgcolor="#EBF3FE">
                            <td width="10%" align="left" valign="middle" bgcolor="#CFDFEF" class="parrafo"><strong>Curso:</strong></td>
                            <td bgcolor="#ECF2F9" class="lbl_formulario"><div align="left"><?=gcurso($idc);?>
                              <span class="lbl_campo">Secci&oacute;n:</span>                              <?=dec($sid);?>
                            </div></td>
                          </tr>
                          <tr bgcolor="#EBF3FE">
                            <td align="left" valign="middle" bgcolor="#CFDFEF" class="parrafo"><strong>Unidad:</strong></td>
                            <td bgcolor="#ECF2F9" class="lbl_formulario"><?=gunidad($idu);?></td>
                          </tr>
                      </table>
                        <br>
                        <table width="100%"  border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF">
                          <tr>
                            <td colspan="2" bgcolor="#CFDFEF" class="parrafo"><div align="left"><span class="lbl_campo">Nota actual:</span></div></td>
                            </tr>
                          <tr class="lbl_campo">
                            <td bgcolor="#CFDFEF" class="parrafo"><span class="lbl_campo">Zona:</span></td>
                            <td bgcolor="#ECF2F9"><span class="lbl_campo"><strong>
                              <?=round(dec($idz),0);?>
                                                        </strong><strong> puntos</strong> </span></td>
                          </tr>
                          <tr class="lbl_campo">
                            <td bgcolor="#CFDFEF" class="parrafo"><span class="lbl_campo"> Examen:</span></td>
                            <td bgcolor="#ECF2F9"><span class="lbl_campo">
                              <?=round(dec($idn),0);?>
 puntos                             </span></td>
                          </tr>
                          <tr>
                            <td bgcolor="#CFDFEF"><span class="lbl_campo"> <strong>Total:
                            </strong></span></td>
                            <td bgcolor="#CFDFEF" class="lbl_campo"><?=round(dec($idn),0)+round(dec($idz),0);?> 
                              puntos </td>
                          </tr>
                          <tr>
                            <td width="23%" bgcolor="#CFDFEF" class="parrafo"><div align="left" class="lbl_campo"><span class="font_red_11"><strong>Nueva nota de examen:</strong></span>                            </div></td>
                            <td width="77%" bgcolor="#ECF2F9"><input name="txtnuevanota" type="text" class="lbl_formulario" id="txtnuevanota" size="3" maxlength="3" onkeyup="validar_nota(this);"></td>
                         </tr>
                          <tr>
                            <td bgcolor="#CFDFEF" class="parrafo"><div align="left" class="lbl_campo">Raz&oacute;n del cambio:</div></td>
                            <td bgcolor="#ECF2F9"><input name="txtrazon" type="text" class="lbl_formulario" id="txtrazon" size="60" maxlength="255"></td>
                         </tr>
                          <tr>
                           <td bgcolor="#CFDFEF" class="lbl_formulario"><div align="left">Usuario que autoriza: </div></td>
                           <td bgcolor="#ECF2F9" class="parrafo"><input name="txtusradmin" type="text" class="lbl_roja" id="txtusradmin"></td>
                          </tr>
                          <tr>
                            <td bgcolor="#CFDFEF" class="lbl_formulario"><div align="left">Clave de usuario que autoriza: </div></td>
                            <td bgcolor="#ECF2F9" class="parrafo"><input name="txtclaveadmin" type="password" class="lbl_roja" id="txtclaveadmin"></td>
                          </tr>
                          <tr>
                            <td colspan="2" class="parrafo"><table width="100%"  border="0" cellspacing="0" cellpadding="5">
                              <tr bgcolor="#CFDFEF">
                                <td width="26%">                                  <div align="left"> <a href="frm_notas.php?<?="idg=$idg&idc=$idc&sid=$sid&idu=$idu";?>"><img src="../images/regresar_c.png" width="32" height="32" border="0"></a><br>
        Regresar
          <input name="conf" type="hidden" id="conf" value="<?=enc($conf);?>">
          <input name="idc" type="hidden" id="idc" value="<?=$idc;?>">
          <input name="idg" type="hidden" id="idg" value="<?=$idg;?>">
          <input name="idu" type="hidden" id="idc3" value="<?=$idu;?>">
          <input name="ida" type="hidden" id="idc4" value="<?=$ida;?>">
          <input name="idn" type="hidden" id="ida" value="<?=$idn;?>">
          <input name="sid" type="hidden" id="idn" value="<?=$sid;?>">
          <input name="idz" type="hidden" id="idz" value="<?=$idz;?>">
</div></td>

                               <td width="24%"><div align="center">
                                    <input name="Submit" type="submit" class="boton_guardar" value="Guardar los cambios">
                                </div></td>
                                <td width="28%"><div align="center">
                                    <input name="Submit2" type="reset" class="boton_deshacer" value="Deshacer los cambios">
                                </div></td>
                                <td width="22%">&nbsp;</td>
                             </tr>
                            </table></td>
                           </tr>
                       </table></td>
                    </tr>
                  </table>
                  <br>
                </form>
              </div></td>
              </tr>
          </table></td>
        </tr>
    </table>    </td>
  </tr>
</table>
</body>
</html>